org.eclipse.rdf4j.console.command

## Class Serql

- java.lang.Object
- - org.eclipse.rdf4j.console.command.ConsoleCommand
  - - org.eclipse.rdf4j.console.command.QueryEvaluator
    - - org.eclipse.rdf4j.console.command.Serql

- All Implemented Interfaces:
    Command, Help

      public class Serql
      extends QueryEvaluator

  SERQL query command
  Author:
    Bart Hanssens

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.console.command.ConsoleCommand

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serql(TupleAndGraphQueryEvaluator evaluator)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addQueryPrefixes(StringBuffer result, Collection<Namespace> namespaces)` Add namespace prefixes to query
    `String` | `getHelpLong()` Get long description
    `String` | `getHelpShort()` Get short description, small enough to fit on one console row
    `String` | `getName()` Get the name of the command
    `protected boolean` | `hasQueryPrefixes(String query)` Check if query string already contains query prefixes

    - ### Methods inherited from class org.eclipse.rdf4j.console.command.QueryEvaluator

      `executeQuery, usesSettings`

    - ### Methods inherited from class org.eclipse.rdf4j.console.command.ConsoleCommand

      `askProceed, execute, getConsoleIO, getConsoleSettings, getConsoleState, write, writeError, writeError, writeInfo, writeln, writeUnopenedError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serql

          public Serql(TupleAndGraphQueryEvaluator evaluator)

      Constructor
      Parameters:
        `evaluator` -

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Help`
      Get the name of the command
      Returns:
        string

    - #### getHelpShort

          public String getHelpShort()

      Description copied from class: `ConsoleCommand`
      Get short description, small enough to fit on one console row
      Specified by:
        `getHelpShort` in interface `Help`
      Overrides:
        `getHelpShort` in class `ConsoleCommand`
      Returns:
        help string

    - #### getHelpLong

          public String getHelpLong()

      Description copied from class: `ConsoleCommand`
      Get long description
      Specified by:
        `getHelpLong` in interface `Help`
      Overrides:
        `getHelpLong` in class `ConsoleCommand`
      Returns:
        string, can be multiple lines

    - #### hasQueryPrefixes

          protected boolean hasQueryPrefixes(String query)

      Description copied from class: `QueryEvaluator`
      Check if query string already contains query prefixes
      Specified by:
        `hasQueryPrefixes` in class `QueryEvaluator`
      Parameters:
        `query` - query string
      Returns:
        true if namespaces are already used

    - #### addQueryPrefixes

          protected void addQueryPrefixes(StringBuffer result,
                                          Collection<Namespace> namespaces)

      Description copied from class: `QueryEvaluator`
      Add namespace prefixes to query
      Specified by:
        `addQueryPrefixes` in class `QueryEvaluator`
        `namespaces` - collection of known namespaces

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.